commit:     977740476eab8e4b9c431f87d423002677abcd6d
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 20 21:33:07 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Jun 20 21:33:07 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97774047

dev-ml/ocaml-base64: bump to 2.2.0

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ml/ocaml-base64/Manifest                  |  1 +
 dev-ml/ocaml-base64/ocaml-base64-2.2.0.ebuild | 30 +++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ml/ocaml-base64/Manifest b/dev-ml/ocaml-base64/Manifest
index 458fe2b2c95..7f34c3f1e8d 100644
--- a/dev-ml/ocaml-base64/Manifest
+++ b/dev-ml/ocaml-base64/Manifest
@@ -1 +1,2 @@
 DIST ocaml-base64-2.0.0.tar.gz 46084 SHA256 
029b6a7af1493a077dc25c8e0f3534e5f5ff6e4260e3998a9ca3850fb7238c2c SHA512 
e452dfd5f4544958cb0cb547848accbd254d9c3cb19c745031e4e8e73f81e79bb259e5fbe79a1bf94fb8a7b4b5de8eb2b81aa173850af2ab2f4a4e2389626227
 WHIRLPOOL 
52048556a00c7f067b36a97062821cbfa781e80b54b3d5422c4f978fd89ed37140d4063fa654622aa1a106f4649bf5ae99691aa58d3959cd853c99fb0f0f510d
+DIST ocaml-base64-2.2.0.tar.gz 5056 SHA256 
c73499d3abfe3e5553cbfa238f11a362dbcfa6866f091976dac75d48aaf74463 SHA512 
0390c450076786777baeb596bc81bc3357074619894334a9608f958a2a10113e22afdbd3a2b368bc93c5c5636828fc2600818399847704309e2cc6092b10f3b0
 WHIRLPOOL 
3f6847d6a5797daa2282493b18e95e48ac3674ff96138886b7ef11643bf9799af1429182e09e0ea616b6c7221b57c6ec0e93e82b96953cd4ed6fb8973a16232a

diff --git a/dev-ml/ocaml-base64/ocaml-base64-2.2.0.ebuild 
b/dev-ml/ocaml-base64/ocaml-base64-2.2.0.ebuild
new file mode 100644
index 00000000000..722eba386ee
--- /dev/null
+++ b/dev-ml/ocaml-base64/ocaml-base64-2.2.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit findlib
+
+DESCRIPTION="Library for radix-64 representation (de)coding"
+HOMEPAGE="https://github.com/mirage/ocaml-base64";
+SRC_URI="https://github.com/mirage/ocaml-base64/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND=">=dev-lang/ocaml-4.02:="
+DEPEND="${RDEPEND}
+       dev-ml/jbuilder
+       dev-ml/opam
+       test? ( dev-ml/rresult dev-ml/bos dev-ml/alcotest )
+"
+
+src_install() {
+       opam-installer -i \
+               --prefix="${ED}/usr" \
+               --libdir="${D}/$(ocamlc -where)" \
+               --docdir="${ED}/usr/share/doc/${PF}" \
+               base64.install || die
+}

Reply via email to